Tribler 7.4.0-exp1 is available


#1

Dear Tribler Community,

Today we are releasing the first experimental version for Tribler 7.4.0. We’re in the process of migrating the source code from Python2 to Python3 and this version is a milestone on migration. Apart from the source code update, there are a few important changes on the way download states are stored in the local state directory so we suggest you to keep a backup of the state directory before trying out the version.

The binaries are available below or can be downloaded from the official release page at Github repository.
Windows(64-bit)
Windows (32-bit)
Linux
MacOS

If you encounter any problems using this release, feel free to report back to us. We’ll appreciate that. You can either create an issue ticket in Github (link here) or simply post it here in this forum.

For developers willing to contribute to Tribler with bug fixes or new features please check out this page which provides the basic pointers to get started.

And as always, the source code can be found on our Github repository but you can also download it directly here.

We hope you’ll enjoy using this version.
Cheers!


#2

Dependencies missing!


Tribler - found missing dependencies in both!
Please install the following dependencies to continue:

pip3 install pyqtgraph


but: Requirement already satisfied: pyqtgraph in /usr/lib/python3/dist-packages (0.11.0.dev0)

OS: Ubuntu 19.10


#3

@cisf Thank you for reporting. It was not tested in 19.10. You are right about the issue. I can reproduce it. The issue seems to be incorrect version of pyqtgraph installed for some reason. The correct version of pyqtgraph that should be installed during installation is 0.10.0 while a higher dev version 0.11.0.dev0 is installed.
Could you try the following workaround for now?

sudo apt remove python3-pyqtgraph
sudo pip3 install pyqtgraph pony lz4

After above commands, try installing tribler deb file again. Assuming the deb file is in Downloads:

sudo apt install ~/Downloads/tribler_7.4.0-exp1_all.deb

#4

the workaround worked, thanks


#5

Installed 7.4.0 on windows 10. When I run it I get a second window showing the log file. This shows a number of errors. First no bitcoinlib installed. When I added a bitcoinlib I then get no ecdsa module. Secondly psutil showing access denied , running Tribler as administrator seems to fix this. Thirdly no libdvdcss in ProgramFiles\ Tribler\vlc. I hope these obsevation are helpfull.


#6

@speedy Thank you for trying out the experimental version and reporting your observations. The extra window is a console window useful for debugging issues, enabled for the experimental version. About the observations you had we are aware of them and we’ll incrementally resolve those issue in the future experimental releases.


#7

Starts!
Trustgraph is reset, empty and has 0 interactions after 15 minutes, 2 restarts, it seems to be failing to update. Wallet shows nice graphs, libqtgraph seems to be working OK. Unicode victim below…:

On LTS Ubuntu 18.04.3 :

sudo dpkg -i tribler_7.4.0-exp1_all.deb
(Reading database ... 397130 files and directories currently installed.)
Preparing to unpack tribler_7.4.0-exp1_all.deb ...
The directory '/home/pouwelse/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Uninstalling pony-0.7.11:
  Successfully uninstalled pony-0.7.11
The directory '/home/pouwelse/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Uninstalling lz4-2.2.1:
  Successfully uninstalled lz4-2.2.1
The directory '/home/pouwelse/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Uninstalling wheel-0.33.6:
  Successfully uninstalled wheel-0.33.6
Unpacking tribler (7.4.0-exp1) over (7.4.0-exp1) ...
Setting up tribler (7.4.0-exp1) ...
The directory '/home/pouwelse/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
The directory '/home/pouwelse/.cache/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Collecting wheel
  Downloading https://files.pythonhosted.org/packages/00/83/b4a77d044e78ad1a45610eb88f745be2fd2c6d658f9798a15e384b7d57c9/wheel-0.33.6-py2.py3-none-any.whl
Installing collected packages: wheel
  Found existing installation: wheel 0.30.0
    Not uninstalling wheel at /usr/lib/python3/dist-packages, outside environment /usr
Successfully installed wheel-0.33.6
The directory '/home/pouwelse/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
The directory '/home/pouwelse/.cache/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
The directory '/home/pouwelse/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
The directory '/home/pouwelse/.cache/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Collecting lz4
  Downloading https://files.pythonhosted.org/packages/5d/5e/cedd32c203ce0303188b0c7ff8388bba3c33e4bf6da21ae789962c4fb2e7/lz4-2.2.1-cp36-cp36m-manylinux1_x86_64.whl (395kB)
    100% |████████████████████████████████| 399kB 1.8MB/s 
Installing collected packages: lz4
Successfully installed lz4-2.2.1
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.2) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Processing triggers for bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for gconf2 (3.2.6-4ubuntu1) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
XPS13:~/Downloads>uname -a
Linux johan-XPS13 4.15.0-62-generic #69-Ubuntu SMP Wed Sep 4 20:55:53 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

Then from the log file

Traceback (most recent call last):
  File "/usr/share/tribler/Tribler/Core/TorrentDef.py", line 79, in __init__
    lt.torrent_info(metainfo)
RuntimeError: incorrect number of piece hashes in torrent file

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/tribler/Tribler/Core/APIImplementation/LaunchManyCore.py", line 615, in resume_download
    if b'infohash' in metainfo else TorrentDef.load_from_dict(metainfo))
  File "/usr/share/tribler/Tribler/Core/TorrentDef.py", line 132, in load_from_dict
    return TorrentDef(metainfo=metainfo)
  File "/usr/share/tribler/Tribler/Core/TorrentDef.py", line 81, in __init__
    raise ValueError(str(exc))
ValueError: incorrect number of piece hashes in torrent file
INFO    1573224918.44            LaunchManyCore:367  (TriblerLaunchMany)  Torrent already exists in the downloads. Infohash:b496932f32daad964e1b63188faabf74d22b45ea
INFO    1573224918.47                connection:84   (Socks5Connection)  Client has sent METHOD REQUEST
INFO    1573224918.47     event_request_manager:132  (TriblerGUI)  Will connect to events endpoint
INFO    1573224918.47                connection:168  (Socks5Connection)  Accepting UDP ASSOCIATE request to 127.0.0.1:55591
WARNING 1573224918.48            udp_connection:41   (SocksUDPConnection)  Received an IPV6 udp datagram, dropping it (Not implemented yet)

#8

I get errors when trying to start Tribler 7.4.0-exp1. Also, if there is a send button it’s off the screen because I cannot resize the error window. It also deleted all my downloads. The files and folders are there but no way to know which ones are finished.

Traceback (most recent call last):
File “TriblerGUI\core_manager.py”, line 121, in on_received_state
RuntimeError: [Failure instance: Traceback: <class ‘AssertionError’>: INFOHASH has invalid length: 21
run_tribler.py:81:start_tribler
Tribler\Core\Session.py:443:start
lib\site-packages\twisted\internet\defer.py:322:addCallback
lib\site-packages\twisted\internet\defer.py:311:addCallbacks
— —
lib\site-packages\twisted\internet\defer.py:654:_runCallbacks
Tribler\Core\Session.py:429:load_checkpoint
Tribler\Core\Session.py:384:load_checkpoint
Tribler\Core\APIImplementation\LaunchManyCore.py:588:load_checkpoint
Tribler\Core\APIImplementation\LaunchManyCore.py:585:do_load_checkpoint
Tribler\Core\APIImplementation\LaunchManyCore.py:615:resume_download
Tribler\Core\TorrentDef.py:494:init
]